Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.editparts
Class ClassEditPart

    java.lang.Object
      |
      +--org.eclipse.gef.editparts.AbstractEditPart
            |
            +--org.eclipse.gef.editparts.AbstractGraphicalEditPart
                  |
                  +--APStudio.editparts.AbstractAPEditPart
                        |
                        +--APStudio.editparts.ClassEditPart

All Implemented Interfaces:
  org.eclipse.gef.EditPart, java.util.EventListener, org.eclipse.gef.GraphicalEditPart, org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.NodeEditPart, java.beans.PropertyChangeListener, org.eclipse.gef.RequestConstants

public class ClassEditPart
extends AbstractAPEditPart

Author:
  srajagop Manages the construction class

Field Summary

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ClassEditPart()`

Method Summary
`java.lang.Object` | `getAdapter(java.lang.Class key)`
`void` | `performRequest(org.eclipse.gef.Request request)` When a request is created manage it.We only handle direct edit request
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)` Handle property Change.We only handle name change rest handled by the superclass

Methods inherited from class APStudio.editparts.AbstractAPEditPart
`activate, deactivate, getSourceConnectionAnchor, getSourceConnectionAnchor, getTargetConnectionAnchor, getTargetConnectionAnchor`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`addNodeListener, getContentPane, getDragTracker, getFigure, getSourceConnections, getTargetConnections, refresh, removeNodeListener, removeNotify, setLayoutConstraint`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart
`addEditPartListener, addNotify, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, removeEditPartListener, removeEditPolicy, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart
`addEditPartListener, addNotify, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Constructor Detail

### ClassEditPart

    public ClassEditPart()

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class key)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
  Overrides:
    `getAdapter` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### performRequest

    public void performRequest(org.eclipse.gef.Request request)

  When a request is created manage it.We only handle direct edit request

  Specified by:
    `performRequest` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `performRequest` in class `org.eclipse.gef.editparts.AbstractEditPart`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Handle property Change.We only handle name change rest handled by the superclass

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Overrides:
    `propertyChange` in class `AbstractAPEditPart`
  Parameters:
    `evt` - Event which details the property change.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD